Bug 906390 - Man page does not mention ENCFS6_CONFIG variable name.
Summary: Man page does not mention ENCFS6_CONFIG variable name.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fuse-encfs
Version: el6
Hardware: All
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-31 14:55 UTC by Lukáš Zachar
Modified: 2016-04-16 18:53 UTC (History)
3 users (show)

Fixed In Version: fuse-encfs-1.8.1-1.fc24 fuse-encfs-1.8.1-1.fc22 fuse-encfs-1.8.1-1.fc23 fuse-encfs-1.8.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-05 10:10:31 UTC


Attachments (Terms of Use)

Description Lukáš Zachar 2013-01-31 14:55:47 UTC
Description of problem:
While reading about encfs --reverse usage, the example states that the configuration file should be supplied in the environment variable ENCFS5_CONFIG.
However doing so results in:
15:34:57 (ConfigVar.cpp:245) Assert failed: readLen == length
15:34:57 (FileUtils.cpp:360) Found config file /home/myself/_sandbox/this/.encfs6.xml, but failed to load

The solution found on [1] suggested to use ENCFS6_CONFIG as the variable name.

It seems that both environment variables can be used, but as this version creates configuration which has to be passed in ENCFS6_CONFIG, it should be definitely mentioned in the man page.



Version-Release number of selected component (if applicable):
fuse-encfs-1.7.4-1.el6

How reproducible:
always

Steps to Reproduce:
1. man encfs | grep ENCFS._CONFIG
2.
3.
  
Actual results:
ENCFS5_CONFIG=/home/me/.encfs5 encfs /tmp/crypt-view /tmp/plain-view

Expected results:
ENCFS6_CONFIG=/home/me/.encfs5 encfs /tmp/crypt-view /tmp/plain-view
Some note about ENCFS5_CONFIG usage for older configuration files.

Additional info:
[1] http://code.google.com/p/encfs/issues/detail?id=69

Comment 1 Marcin Zajaczkowski 2016-01-25 23:52:13 UTC
It should be fixed by upgrading to 1.8.1 (bug 1234255) as that information was added by upstream in the man page for versions 1.8.0+.
https://github.com/vgough/encfs/commit/d494d18f7320672b362309b2451332518c6d4fcd

Comment 2 Fedora Update System 2016-03-31 13:24:31 UTC
fuse-encfs-1.8.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f61f02e9e2

Comment 3 Fedora Update System 2016-03-31 13:24:52 UTC
fuse-encfs-1.8.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-22b180fb43

Comment 4 Fedora Update System 2016-03-31 13:25:07 UTC
fuse-encfs-1.8.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-858277b967

Comment 5 Fedora Update System 2016-03-31 13:25:23 UTC
fuse-encfs-1.8.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e710acc2b4

Comment 6 Fedora Update System 2016-04-01 01:20:46 UTC
fuse-encfs-1.8.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e710acc2b4

Comment 7 Fedora Update System 2016-04-01 01:56:15 UTC
fuse-encfs-1.8.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f61f02e9e2

Comment 8 Fedora Update System 2016-04-01 15:23:39 UTC
fuse-encfs-1.8.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-858277b967

Comment 9 Fedora Update System 2016-04-01 20:54:56 UTC
fuse-encfs-1.8.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-22b180fb43

Comment 10 Fedora Update System 2016-04-05 10:10:11 UTC
fuse-encfs-1.8.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-08 20:22:01 UTC
fuse-encfs-1.8.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-09 14:21:57 UTC
fuse-encfs-1.8.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-16 18:53:39 UTC
fuse-encfs-1.8.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.